Skip to main content
GET
/
template
/
{template_id}
/
annotations
/
{document_id}
Get document template annotations
curl --request GET \
  --url https://restapi.sign.plus/v2/template/{template_id}/annotations/{document_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://restapi.sign.plus/v2/template/{template_id}/annotations/{document_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://restapi.sign.plus/v2/template/{template_id}/annotations/{document_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "annotations": [
    {
      "id": "<string>",
      "recipient_id": "<string>",
      "document_id": "<string>",
      "page": 123,
      "x": 123,
      "y": 123,
      "width": 123,
      "height": 123,
      "required": true,
      "signature": {
        "id": "<string>"
      },
      "initials": {
        "id": "<string>"
      },
      "text": {
        "size": 123,
        "color": 123,
        "value": "<string>",
        "tooltip": "<string>",
        "dynamic_field_name": "<string>",
        "font": {
          "italic": true,
          "bold": true
        }
      },
      "datetime": {
        "size": 123,
        "font": {
          "italic": true,
          "bold": true
        },
        "color": "<string>",
        "auto_fill": true,
        "timezone": "<string>",
        "timestamp": 123
      },
      "checkbox": {
        "checked": true
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

ID of the template

document_id
string
required

ID of document

Response

200 - application/json

List of document annotations retrieved successfully

annotations
object[]